Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.util
Class JVM

    java.lang.Object
      org.jdesktop.swingx.util.JVM

    public class JVM

extends java.lang.Object

Deals with the different version of the Java Virtual Machine.

Field Summary
`static int` | `JDK1_0`
`static int` | `JDK1_1`
`static int` | `JDK1_2`
`static int` | `JDK1_3`
`static int` | `JDK1_4`
`static int` | `JDK1_5`
`static int` | `JDK1_6`
`static int` | `JDK1_6N`
`static int` | `JDK1_7`

Constructor Summary
`JVM()` Creates a new JVM data from the `java.version` System property
`JVM(java.lang.String p_JavaVersion)` Constructor for the OS object

Method Summary
`static JVM` | `current()`
`boolean` | `isOneDotFive()`
`boolean` | `isOneDotFour()`
`boolean` | `isOneDotOne()`
`boolean` | `isOneDotSeven()`
`boolean` | `isOneDotSix()`
`boolean` | `isOneDotSixUpdateN()` Determines if the version of JDK1_6 has Nimbus Look and Feel installed.
`boolean` | `isOneDotThree()`
`boolean` | `isOneDotTwo()`
`boolean` | `isOrLater(int p_Version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JDK1_0

    public static final int JDK1_0

See Also:
  Constant Field Values

### JDK1_1

    public static final int JDK1_1

See Also:
  Constant Field Values

### JDK1_2

    public static final int JDK1_2

See Also:
  Constant Field Values

### JDK1_3

    public static final int JDK1_3

See Also:
  Constant Field Values

### JDK1_4

    public static final int JDK1_4

See Also:
  Constant Field Values

### JDK1_5

    public static final int JDK1_5

See Also:
  Constant Field Values

### JDK1_6

    public static final int JDK1_6

See Also:
  Constant Field Values

### JDK1_6N

    public static final int JDK1_6N

See Also:
  Constant Field Values

### JDK1_7

    public static final int JDK1_7

See Also:
  Constant Field Values

Constructor Detail

### JVM

    public JVM()

  Creates a new JVM data from the `java.version` System property

### JVM

    public JVM(java.lang.String p_JavaVersion)

  Constructor for the OS object

Method Detail

### current

    public static JVM current()

  Returns:
    the current JVM object

### isOrLater

    public boolean isOrLater(int p_Version)

### isOneDotOne

    public boolean isOneDotOne()

### isOneDotTwo

    public boolean isOneDotTwo()

### isOneDotThree

    public boolean isOneDotThree()

### isOneDotFour

    public boolean isOneDotFour()

### isOneDotFive

    public boolean isOneDotFive()

### isOneDotSix

    public boolean isOneDotSix()

### isOneDotSixUpdateN

    public boolean isOneDotSixUpdateN()

  Determines if the version of JDK1_6 has Nimbus Look and Feel installed.

  Returns:
    `true` if Nimbus is available and the version is 1.6; `false` otherwise

### isOneDotSeven

    public boolean isOneDotSeven()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.